> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitawallet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List crypto prices

> This endpoint returns Vita Business's current crypto exchange rates, which you'll use to calculate the final amount of any exchange transaction.

#### Response Structure

| Field | Description |
| --- | --- |
| `valid_until` | Timestamp indicating when the returned prices expire. After this time, you must request prices again. |
| `prices` | Object containing your active currencies and their corresponding exchange rates against all available cryptocurrencies. |
| `_sell` | Sell rate for the destination currency. Indicates how many units of you receive per 1 unit of the source currency. |

Understanding `coin_sell`

The `_sell` value represents the current exchange rate from the source currency to the destination currency.

#### Example:

```javascript
{
  "usd": {
    "usdt_sell": 0.995
  }
}
```

In this case, `1 USD` = `0.995 USDT`. For every 1 USD sent, the wallet will receive 0.995 USDT.

---

#### Calculating the Final Amount

To calculate how much the destination wallet will receive, multiply the amount you want to send by the `_sell` rate, where matches the currency you'll receive (`currency_received`).

Formula:

```javascript
final_amount = amount_sent × <currency_received>_sell
```

JavaScript example

```javascript
const finalAmount = amountSent * prices[currencySent][`${currencyReceived}_sell`];
// Example: Exchange 100 USD to USDT
// prices.usd.usdt_sell = 0.995
const finalAmount = 100 * 0.995; // 99.5 USDT
```

---

> **Reminder:** Always verify the `valid_until` timestamp before using a rate. If the price has expired, request `/crypto_prices` again before creating the exchange.



## OpenAPI

````yaml /openapi.yaml get /api/businesses/crypto_prices
openapi: 3.0.0
info:
  title: Vita Business API
  description: >-
    Vita Wallet Business API — integra payins, payouts, exchange, transactions,
    users y webhooks para operar pagos en LatAm y el mundo.
  version: 1.0.0
  contact:
    name: Vita Wallet Support
    url: https://vitawallet.io
    email: empresas@vitawallet.io
servers:
  - url: https://api.vitawallet.io
    description: Production
  - url: https://api.stage.vitawallet.io
    description: Sandbox
security:
  - xLogin: []
    xTransKey: []
    xDate: []
    hmacSignature: []
tags:
  - name: Create Payin
  - name: Direct Payment
  - name: Exchange
  - name: Vita Sent
  - name: Bank Payouts
  - name: External Crypto Payouts
  - name: Transactions
  - name: Users Creation
  - name: User Information
  - name: Webhooks
externalDocs:
  url: https://vitawallet.io
  description: Vita Wallet
paths:
  /api/businesses/crypto_prices:
    get:
      tags:
        - Exchange
      summary: List crypto prices
      description: >-
        This endpoint returns Vita Business's current crypto exchange rates,
        which you'll use to calculate the final amount of any exchange
        transaction.


        #### Response Structure


        | Field | Description |

        | --- | --- |

        | `valid_until` | Timestamp indicating when the returned prices expire.
        After this time, you must request prices again. |

        | `prices` | Object containing your active currencies and their
        corresponding exchange rates against all available cryptocurrencies. |

        | `_sell` | Sell rate for the destination currency. Indicates how many
        units of you receive per 1 unit of the source currency. |


        Understanding `coin_sell`


        The `_sell` value represents the current exchange rate from the source
        currency to the destination currency.


        #### Example:


        ```javascript

        {
          "usd": {
            "usdt_sell": 0.995
          }
        }

        ```


        In this case, `1 USD` = `0.995 USDT`. For every 1 USD sent, the wallet
        will receive 0.995 USDT.


        ---


        #### Calculating the Final Amount


        To calculate how much the destination wallet will receive, multiply the
        amount you want to send by the `_sell` rate, where matches the currency
        you'll receive (`currency_received`).


        Formula:


        ```javascript

        final_amount = amount_sent × <currency_received>_sell

        ```


        JavaScript example


        ```javascript

        const finalAmount = amountSent *
        prices[currencySent][`${currencyReceived}_sell`];

        // Example: Exchange 100 USD to USDT

        // prices.usd.usdt_sell = 0.995

        const finalAmount = 100 * 0.995; // 99.5 USDT

        ```


        ---


        > **Reminder:** Always verify the `valid_until` timestamp before using a
        rate. If the price has expired, request `/crypto_prices` again before
        creating the exchange.
      operationId: list-crypto-prices
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              example:
                prices:
                  clp:
                    usdc: 0.001049758556
                    usdc_sell: 0.0009447827
                    btc: 1.3776e-8
                    btc_sell: 1.2398e-8
                    usdt: 0.001049905543
                    usdt_sell: 0.000839924434
                  usd:
                    usdc: 1
                    usdc_sell: 1
                    btc: 0.000013122685
                    btc_sell: 0.000012991458
                    usdt: 1
                    usdt_sell: 0.9965
                  usdc:
                    clp: 952.599999575521
                    clp_sell: 762.079999660416
                    usd: 1
                    usd_sell: 1
                    btc: 0.000013122685
                    btc_sell: 0.000012991458
                    usdt: 1.000140019602
                    usdt_sell: 1.000140019602
                  btc:
                    clp: 72590011.61440186
                    clp_sell: 58072009.29152149
                    usd: 76203.9171099512
                    usd_sell: 76203.9171099512
                    usdc: 76240.31557391422
                    usdc_sell: 76240.31557391422
                    usdt: 76250.99071261399
                    usdt_sell: 76250.99071261399
                  usdt:
                    clp: 952.466635372359
                    clp_sell: 857.219971835123
                    usd: 1
                    usd_sell: 0.9965
                    usdc: 1
                    usdc_sell: 0.8
                    btc: 0.000013122685
                    btc_sell: 0.000013122685
                valid_until: '2026-04-28T18:33:53.667Z'
components:
  securitySchemes:
    xLogin:
      type: apiKey
      in: header
      name: x-login
      description: Business xLogin
    xTransKey:
      type: apiKey
      in: header
      name: x-trans-key
      description: Business xTransKey
    xDate:
      type: apiKey
      in: header
      name: x-date
      description: ISO8601 datetime
    hmacSignature:
      type: apiKey
      in: header
      name: Authorization
      description: 'V2-HMAC-SHA256 signature. Example: `V2-HMAC-SHA256, Signature: <hash>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.